Create document
POST
Add a document to a knowledge base. The document will be automatically processed for RAG.
Authorization
AuthorizationheaderrequiredBearer YOUR_API_KEY. Create a key in the dashboard.
Path parameters
senderIdstringrequiredkbIdstringrequired
Body
application/json
titlestringrequiredLimitsmax length 200contentstringrequiredLimitsmax length 100000
Responses
201Document created.
documentobjectrequired8 properties
idstringrequiredknowledgeBaseIdstringrequiredtitlestringrequiredcontentLengthintegerrequiredLength of the document content in characters.
chunkCountintegerrequiredNumber of chunks created from this document.
isProcessedbooleanrequiredWhether the document has been processed for RAG.
createdAtstring<date-time>requiredupdatedAtstring<date-time>required
400Invalid request.
codestringrequiredmessagestringrequireddetailsobject
401Unauthorized.
codestringrequiredmessagestringrequireddetailsobject
404Knowledge base not found.
codestringrequiredmessagestringrequireddetailsobject